<h1> Charities </h1>

<div class="alert alert-success col-md-3" *ngIf='message'>{{message}}</div>

<div class="col-md-3">
    <input type="text" name="searchBy" [(ngModel)]="searchBy">
<button (click)="submitFilter()" class="search-button">Search</button>
  </div>

<div class="container">
  <table class="table">
    <thead>
      <tr>
        <th>Name</th>
        <th>description</th>
        <th>Participants wanted</th>
        <th>Participants volunteered</th>
        <th>Required Budget</th>
        <th>Budget collected</th>
        <th>Creator</th>
      </tr>
    </thead>
    <tbody>
              <tr *ngFor="let charity of charities">
                <td>{{charity.charityName}}</td>
                <td>{{charity.description}}</td>
                <td>{{charity.numberOfParticipantsWanted}}</td>
                <td>{{charity.numberOfParticipants}}</td>
                <td>{{charity.budgetRequired}}</td>
                <td>{{charity.budgetCollected}}</td>
                <td>{{charity.creator.username}}</td>
                <td><button (click)="routeTo(charity.charityId)" class="btn btn-success">More Information</button></td>
              </tr>

    </tbody>

  </table>


</div>
